# DataStructures::Map< key_type, data_type, key_comparison_func > Class Template Reference

`#include <DS_Map.h>`

List of all members.

## Detailed Description

### template<class key_type, class data_type, int(*)(const key_type &, const key_type &) key_comparison_func = defaultMapKeyComparison<key_type>>
class DataStructures::Map< key_type, data_type, key_comparison_func >

Note:
  IMPORTANT! If you use defaultMapKeyComparison then call IMPLEMENT_DEFAULT_COMPARISON or you will get an unresolved external linker error.

The documentation for this class was generated from the following file:

- C:/RakNet/Source/DS_Map.h